Package org.apache.sysds.runtime.iogen

# Class ReaderMappingIndex

java.lang.Object
org.apache.sysds.runtime.iogen.ReaderMappingIndex

public class ReaderMappingIndex extends Object

## Constructor Summary

Constructors
Constructor
Description
`ReaderMappingIndex(int nlines, int nrows, int ncols, RawIndex[] sampleRawIndexes, MatrixBlock matrix)`
`ReaderMappingIndex(String raw, FrameBlock frame)`
`ReaderMappingIndex(String raw, MatrixBlock matrix)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`compareCellValue(int r, int c, String value)`
`int`
`getActualValueCount()`
`int[][]`
`getMapCol()`
`int[][]`
`getMapLen()`
`MappingProperties`
`getMappingProperties()`
`int[][]`
`getMapRow()`
`int`
`getNcols()`
`int`
`getNlines()`
`int`
`getNrows()`
`RawIndex[]`
`getSampleRawIndexes()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReaderMappingIndex

public ReaderMappingIndex(int nlines, int nrows, int ncols, RawIndex[] sampleRawIndexes, MatrixBlock matrix) throws Exception

Throws:
  `Exception`

### ReaderMappingIndex

public ReaderMappingIndex(String raw, MatrixBlock matrix) throws Exception

Throws:
  `Exception`

### ReaderMappingIndex

public ReaderMappingIndex(String raw, FrameBlock frame) throws Exception

Throws:
  `Exception`

## Method Details

### getMapRow

public int[][] getMapRow()

### getMapCol

public int[][] getMapCol()

### getMapLen

public int[][] getMapLen()

### getSampleRawIndexes

public RawIndex[] getSampleRawIndexes()

### getNrows

public int getNrows()

### getNcols

public int getNcols()

### getNlines

public int getNlines()

### getMappingProperties

public MappingProperties getMappingProperties()

### getActualValueCount

public int getActualValueCount()

### compareCellValue

public boolean compareCellValue(int r, int c, String value)